Email, calendar & files · Calendar
Busy blocks for one or more accounts.
POST
https://api.pozy.ai/v1/calendar/free-busycalendarFreeBusy
Guides: Calendar, Email, calendar & files, Google Workspace
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the calendar resource group disabled get 403 resource_group_disabled. Authentication
Request body
application/json, required
accountIdsarray of stringrequiredAt least 1 item. Up to 10 items.
fromstring (date-time)requiredtostring (date-time)required
Example
curl -X POST "https://api.pozy.ai/v1/calendar/free-busy" \
-H "Authorization: Bearer $POZY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountIds": [
"string"
],
"from": "2026-10-02T09:00:00.000Z",
"to": "2026-10-02T09:00:00.000Z"
}'const res = await fetch("https://api.pozy.ai/v1/calendar/free-busy", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.POZY_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
accountIds: [
"string"
],
from: "2026-10-02T09:00:00.000Z",
to: "2026-10-02T09:00:00.000Z"
}),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.post(
"https://api.pozy.ai/v1/calendar/free-busy",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
json={
"accountIds": [
"string",
],
"from": "2026-10-02T09:00:00.000Z",
"to": "2026-10-02T09:00:00.000Z",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
dataarray of objectaccountIdstringfromstring (date-time)tostring (date-time)busyarray of object2 child fields
startstring (date-time)endstring (date-time)
200 response
{
"data": [
{
"accountId": "696e0b682d0a31188e7a2ba9",
"from": "2026-10-02T09:00:00.000Z",
"to": "2026-10-02T09:00:00.000Z",
"busy": [
{
"start": "2026-10-02T09:00:00.000Z",
"end": "2026-10-02T09:00:00.000Z"
}
]
}
]
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is read-only, scoped to other profiles, or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.